<%@ page import="
java.lang.String,
java.lang.Object,
net.methodyne.bellvue.core.*,
net.methodyne.booking.*,
net.methodyne.bellvue.system.*,
net.methodyne.bellvue.store.DataLayer,
java.text.SimpleDateFormat,
java.util.*,
com.jamonapi.*"
contentType='text/html; charset=utf-8' %>

<%!

    String genPass(){
        String[] passes = {"boast", "longline","smash", "drop", "shoot", "racket", "tee", "cross", "nick", "stop"};
        int which = (int)(Math.random() * 10);
        int bla = (int)(Math.random() * 100);
        return passes[which] + bla;
    }

    boolean is24hBevore(Date d1, Date d2){
        return (d2.getTime() - d1.getTime()) > (1000 * 60 * 60 * 24 );
    }

    void deleteOldNews(long days, Sdata sd){
        Date now = new Date();
        Finder f = new Finder("net.methodyne.booking.News");
        Vector x = f.run(sd);
//        System.out.println("num of objects:" + x.size() );
        if(x != null){
            if(x.size() > 0){
                for (int i = 0; i < x.size() ; i++) {
                    if((now.getTime() - ((News)x.elementAt(i)).created.getTime()) > ( 1000* 60 * 60 * 24 * days) ){
                        sd.dl.delete( sd, x.elementAt(i));
                    }
                }
            }
        }
    }

    void deleteOldEvents(long days, Sdata sd){
        Date now = new Date();
        Finder f = new Finder("net.methodyne.booking.Event");
        Vector x = f.run(sd);
//        System.out.println("num of objects:" + x.size() );
        if(x != null){
            if(x.size() > 0){
                for (int i = 0; i < x.size() ; i++) {
                    if((now.getTime() - ((Event)x.elementAt(i)).day.getTime()) > ( 1000* 60 * 60 * 24 * days) ){
                        sd.dl.delete(sd, x.elementAt(i));
                    }
                }
            }
        }
        x = null;
        now = null;
    }

    // a set with yyyy.D of each day with a event - just to make days in the calendar view bold
    public static HashSet eventSet = null;

    void buildEventSet(Sdata sd){
        eventSet = new HashSet();
        Finder f = new Finder("net.methodyne.booking.Event");
        f.run(sd);
        if((f.olist != null) && f.olist.size() > 0){
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy.D");
            for(int i = 0 ; i < f.olist.size(); i++){
                String d = sdf.format(((Event)f.olist.elementAt(i)).day );
                //System.out.println("event on" + ((Event)f.olist.elementAt(i)).day);
                eventSet.add( d );
            }
        }
    }

    public boolean[] getEventArray(Date day, Sdata sd){
        if( eventSet == null ) buildEventSet(sd);
        boolean bold[] = new boolean[32];
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy.D");
        Calendar c = Calendar.getInstance();
        c.setTime(day);
        c.set(Calendar.DAY_OF_MONTH,1);
        for(int i = 1 ; i < 32; i++){
            if(eventSet.contains( sdf.format( c.getTime() ) )){
                bold[i] = true;
            }
            c.add(Calendar.DAY_OF_MONTH,1);
        }
        return bold;
    }

%>

<%
    Monitor primary=MonitorFactory.startPrimary("Squash_jsp_pageHits");
    FormParser fp = new FormParser(request);
    //System.out.println( genPass() );

    Sdata sd = null;
    String eday = "";
    String error = "";

    // 0 login    // 1 create    // 2 passwort versand meldung    // 3 calendar
    // 4 Event  // 5 news listing  // 6 news entry // 9 newpwd
    int state = 0;
    String ss = (String)session.getAttribute("state");
    if( ss == null ){  session.setAttribute("state", "" + state); }
    else{ state = Integer.parseInt( ss ); }

    int loginCount = 0;
    // to max three false login tries
    String lc = (String)session.getAttribute("loginCount");
    if( lc == null ){  session.setAttribute("loginCount", "" + loginCount); }
    else{ loginCount = Integer.parseInt( lc ); }

    Date day = new Date();
    // to max three false login tries
    String dy = (String)session.getAttribute("day");
    if( dy == null ){  session.setAttribute("day", "" + day.getTime()); }
    else{ day.setTime( Long.parseLong( dy )); }

    sd = (Sdata) session.getAttribute("sdata");
    if( sd == null ){
        sd = new Sdata();
        state = 0;
        session.setAttribute("sdata",sd);
//        System.out.println("!!!!!!");
    }
    sd.dl = (DataLayer) session.getServletContext().getAttribute("dlayer");
    if( sd.dl == null){
        System.err.println("squash: severe: no data layer");
    }

    if( (fp.getProperty("neu") != null) ){
        state = 1;
        session.setAttribute("state", "" + state);
    }
    if( (fp.getProperty("fullname") != null) ){
        String logon = fp.getProperty("logon");
        String email = fp.getProperty("email");
        String full = fp.getProperty("fullname");
        int a = 0;
        // create user
        if( (logon == null) || (logon.length() < 3)){
            error += "Username too short! Must be at least 3 characters.<BR>";
        }
        else if((email == null )|| ( (a = email.indexOf("@")) < 2 ) || (  email.indexOf(".",a) < 0 ) ){
            error += "Please enter a valid email adress.<BR>";

        }
        else if( (full == null )|| (full.length() < 4)){
            error += "Full Name required.<BR>";
        }
        else{
            User u1 = new User();
            Finder f = new Finder("net.methodyne.bellvue.system.User");
            f.put("username", logon);
//            f.put("qry_username", "and");
            f.run(sd);
            if( f.olist.size() > 0 ){
                error += "<br>Name bereits vergeben. <BR>";
            }
            else{
                u1.username = logon;
                u1.email = email;
                u1.fullName = full;
                u1.password = genPass();
                Finder f2 = new Finder("net.methodyne.bellvue.system.Group");
                f2.put("groupname", "pub");
                f2.run( sd);
                u1.groups.add(f2.olist.elementAt(0));
                u1.referenceGroups.add( new Long(((Group)f2.olist.elementAt(0)).id) );
                String txt =  "Hallo " + u1.fullName
                        + ",\n\nhier die infos zur Anmeldung an der CS Squash-Site:"
                        + "\nLogin: " + u1.username
                        + "\nPass: " + u1.password
                        + "\nViel Spass mit der Site und good shoot!";
                // "62.2.32.250"
                error = "<br>" + new SMTPMailer().mail(sd.dns, "Squash@csfs.com", u1.email , "Anmeldung zur CS Squash-Site", txt);
                if(error.endsWith("successfully")){
                    sd.dl.storeUnlocked(sd, u1);
                    System.out.println( new SimpleDateFormat("yyyy.MM.dd hh.mm.ss").format(new Date()) + " Creating new user: " + u1.username );
                }
            }
        }
        state = 2;
        session.setAttribute("state", "" + state);
    }
    if( (fp.getProperty("nextMonth") != null) ){
        Calendar c = Calendar.getInstance();
        c.setTime(day);
        c.add(Calendar.MONTH, 1);
        day = c.getTime();
        session.setAttribute("day", "" + day.getTime());
    }
    if( (fp.getProperty("prevMonth") != null)  ){
        Calendar c = Calendar.getInstance();
        c.setTime(day);
        c.add(Calendar.MONTH, -1);
        day = c.getTime();
        session.setAttribute("day", "" + day.getTime());
    }
    if( fp.getProperty("book") != null ){
        Calendar c = Calendar.getInstance();
        c.setTime(day);
        c.set(Calendar.DAY_OF_MONTH , Integer.parseInt( fp.getProperty("book")) );
        c.set(Calendar.HOUR_OF_DAY, 19);
        day = c.getTime();
        session.setAttribute("day", "" + day.getTime());
        state = 3;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("bookout") != null ){
        if( is24hBevore(new Date(), day) ){
            Event td = (Event)sd.dl.retrieve(sd, "net.methodyne.booking.Event" , Long.parseLong(fp.getProperty("bookout") ));
            if(td != null){
                int rem = td.usersBooked.indexOf(sd.user);
                if( (rem > -1 ) && (rem < td.usersBooked.size()) ){
                    td.referenceUsersBooked.remove(rem);
                    td.usersBooked.remove(rem);
                    sd.dl.store(sd, td);
                }
            }
        }
        else{
            error = "<br>Buchungen nur bis 24h vorher m&ouml;glich.";
        }
    }
    if( fp.getProperty("bookin") != null ){
        deleteOldEvents(90l, sd);
        if( is24hBevore(new Date(), day) ){
            Event e = (Event)sd.dl.retrieve(sd, "net.methodyne.booking.Event" , Long.parseLong(fp.getProperty("bookin") ));
            if(e != null){
                if( ! e.usersBooked.contains(sd.user)){
                    e.usersBooked.add(sd.user);
                    e.referenceUsersBooked.add(new Long( sd.user.id) );
                    sd.dl.store(sd, e);
                }
            }
        }
        else{
            error = "<br>Buchungen nur bis 24h vorher m&ouml;glich.";
        }
    }
    if( fp.getProperty("calendar") != null ){
        state = 3;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("neu") != null ){
        state = 1;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("logout") != null ){
        session.invalidate();
        state = 0;
    }
    if( fp.getProperty("newpwd") != null ){
        state = 9;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("changeit") != null ){
        String new1 = fp.getProperty("passwd");
        String new2 = fp.getProperty("verify");
        //System.out.println("change pw");
        if( new1.equalsIgnoreCase(new2) ){
            sd.user.password = new1;
            sd.dl.store(sd, sd.user);
            error = "<br>Passwort ge&auml;ndert!";
            state = 3;
            session.setAttribute("state", "" + state);
        }
        else{
            error = "<br>Passworte nicht gleich - keine &Auml;nderung!";
        }
        state = 9;
        session.setAttribute("state", "" + state);
    }
    if( (fp.getProperty("login") != null) && (fp.getProperty("pass") != null) ){
        if(loginCount > 3){
            error += "Too many login failures!<BR>";
        }
        else{
            String logon = fp.getProperty("login");
            String passwd = fp.getProperty("pass");
            Finder f = new Finder("net.methodyne.bellvue.system.User");
            f.put("username",logon );
            f.run( sd);
            if( f.olist.size() < 1 ){
                error += "User or password wrong!<BR>";
                loginCount++;
                session.setAttribute("loginCount", "" + loginCount);
            }
            else{
                User u2 = (User)f.olist.get(0);
                if( u2.password.compareTo( passwd ) != 0 ){
                    error += "User or password wrong!<BR>";
                    loginCount++;
                    session.setAttribute("loginCount", "" + loginCount);
                }
                else{
                    // user logged in!!!!
                    sd.user = u2;
                    state = 3;
                    session.setAttribute("state", "" + state);
                    session.setAttribute("sdata",sd);
                }
            }
        }
    }
    if( fp.getProperty("news") != null ){
        state = 5;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("editnews") != null ){
        state = 6;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("delnews") != null ){
        Vector my = (Vector)session.getAttribute("mynews");
        int index = Integer.parseInt( fp.getProperty("delnews"));
        News x = (News)my.elementAt(index);
        my.removeElementAt( index );
        sd.dl.delete(sd, x);
        session.setAttribute("mynews", my);
        state = 5;
        session.setAttribute("state", "" + state);
    }
    if( fp.getProperty("savenews") != null ){
        News a = (News) session.getAttribute("currentnews");
        a.text = fp.getProperty("text");
        sd.dl.store(sd, a);
        state = 5;
        session.setAttribute("state", "" + state);

        deleteOldNews(90l, sd);

    }
    if( fp.getProperty("newevent") != null ){
        eday = fp.getProperty("newevent");
        state = 66;
    }
    if( fp.getProperty("eventDay") != null ){
        eday = fp.getProperty("eventDay");
        Event e = new Event();
        //System.out.println("eday: " + eday);
        e.day = new SimpleDateFormat("dd.MM.yyyy").parse(eday);
        e.info = fp.getProperty("eventInfo");
        e.titel = fp.getProperty("eventTitel");
        e.user = sd.user.username;
        sd.dl.storeUnlocked(sd,e);
        buildEventSet(sd);
        state = 3;
    }
    if( fp.getProperty("eventDelete") != null ){
        Event e = (Event)sd.dl.retrieve(sd, "net.methodyne.booking.Event" , Long.parseLong(fp.getProperty("eventDelete") ));
        sd.dl.delete(sd, e);
        state = 3;
        buildEventSet(sd);
    }
    Event e = null;
    if( fp.getProperty("eventEdit") != null ){
        e = (Event)sd.dl.retrieve(sd, "net.methodyne.booking.Event" , Long.parseLong(fp.getProperty("eventEdit") ));
        state = 67;
    }
    if( fp.getProperty("eventSave") != null ){
        e = (Event)sd.dl.retrieve(sd, "net.methodyne.booking.Event" , Long.parseLong(fp.getProperty("eventSave") ));
        e.info = fp.getProperty("eventInfo");
        e.titel = fp.getProperty("eventTitel");
        sd.dl.storeUnlocked(sd,e);
        buildEventSet(sd);
        state = 3;
    }
    if( (state != 1) && ( sd.user == null) ){
        state = 0;
    }
/*
    Cookie[] c = request.getCookies();
    if(c != null)
    for(int i = 0 ; i < c.length; i++){
        System.out.println("c: " + c[i].getMaxAge() + " " + c[i].getName() + " " + c[i].getValue() + "\n"  );
    }
*/
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE> CS Squash Homepage </TITLE>

<style type="text/css">
<!--
body { color: black;
 	margin-top: 3%;
 	margin-left: 3%;
	margin-right: 3%;
	font-family: Verdana, Helvetica, Arial, sans-serif;
}
a:link { text-decoration: none; color: blue }
a:visited { text-decoration: none; color: blue }
a:hover { background: black; color: white }

-->
</style>

<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
</HEAD>

<BODY><font face="Helvetica, Arial, sans-serif">
<TABLE WIDTH="100%">
<TR>
	<TD VALIGN=top >
        <TABLE>
        <TR>
            <TD>
                  <img src="images/squash.jpg">
            </TD>
            <TD>
                <FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#0066FF"><b>C</b></FONT><BR>
                <FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#FF0000"><b>S</b></FONT>
            <TD>
                <H2>&nbsp;&nbsp;&nbsp;&nbsp;Squash News &amp; Bookings</H2>	</TD>
            </TD>
        </TR>
        <TR>
            <TD VALIGN=TOP colspan=3>
                <p>Willkommen Squasher!
                <p>Hier gibt es news zum CS Squash sowie das Trainings Buchungssystem.
                <%
                    Finder n = new Finder("net.methodyne.booking.News");
                    n.run(sd);
                    if((n.olist != null) && ( n.olist.size() > 0 ))
                    Collections.sort( n.olist, new DateComparator( "created", false ) );
                    for(int i = 0; i < n.olist.size(); i++){
                        News x = (News)n.olist.elementAt(i);
                        %>
                        <p><b><%= new SimpleDateFormat("dd.MM.yyyy").format(x.created) + " " + x.user %></b><br>
                        <%= x.text %>
                        <%
                    }
                %>
            </TD>
        </TR>
        </table>
	</TD>
	<TD ALIGN=LEFT valign=top >
    <%
        if( state == 0){  // log in
            %>
            <jsp:include page="login_name_pass.jsp" />
            <br><FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#FF0000"><%= error %></font>
            <%
        }
        else if( state == 1){ // new account
            %>
            <jsp:include page="create.jsp" />
            <br><FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#FF0000"><%= error %></font>
            <%
        }
        else if( state == 2){
            %>
            <br><FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#FF0000"><%= error %></font>
            <%
        }
        else if( state == 66){ // enter new Event
            %>
            <a href="?logout=one">Logout</a>&nbsp;
            <a href="?news=one">News</a>&nbsp;
            <a href="?calendar=one">Calender</a>&nbsp;
            <a href="?newpwd=one">Pass</a><br>
            Benutzer <b><%= sd.user.username %></b> angemeldet.<p>
            <p><b><%= eday %></b> Neuer Event
        <FORM ACTION="squash.jsp" METHOD="POST">
            <TABLE BORDER="0" WIDTH="200">
                <TR>
                    <TD WIDTH="16%" HEIGHT="22">
                    <P ALIGN="RIGHT">
                        Titel:
                    </TD>
                    <TD WIDTH="84%" HEIGHT="22">
                        <INPUT TYPE="TEXT" NAME="eventTitel" SIZE="20" MAXLENGTH=20>
                    </TD>
                </TR>
                <TR>
                    <TD WIDTH="16%" HEIGHT="22">
                    <P ALIGN="RIGHT">
                        Info:
                    </TD>
                    <TD WIDTH="84%" HEIGHT="22">
                        <textarea NAME="eventInfo" COLS="40" ROWS="10" WRAP=SOFT></textarea>
                    </TD>
                </TR>
                <TR>
                    <TD Colspan=2>
                        <INPUT TYPE=Submit value=Enter>
                        <INPUT TYPE=Reset value=Reset>
                    </TD>
                </TR>
            </TABLE>
            <input type="hidden" name="eventDay" value="<%= eday %>">
		</FORM>
            <%
        }
        else if( state == 67){ // Edit Event
            %>
            <a href="?logout=one">Logout</a>&nbsp;
            <a href="?news=one">News</a>&nbsp;
            <a href="?calendar=one">Calender</a>&nbsp;
            <a href="?newpwd=one">Pass</a><br>
            Benutzer <b><%= sd.user.username %></b> angemeldet.<p>
            <p><b><%= new SimpleDateFormat("dd.MM").format(e.day) + " " + e.titel %></b> Edit Event
        <FORM ACTION="squash.jsp" METHOD="POST">
            <TABLE BORDER="0" WIDTH="200">
                <TR>
                    <TD WIDTH="16%" HEIGHT="22">
                    <P ALIGN="RIGHT">
                        Titel:
                    </TD>
                    <TD WIDTH="84%" HEIGHT="22">
                        <INPUT TYPE="TEXT" NAME="eventTitel" value="<%= e.titel %>" SIZE="20" MAXLENGTH=20>
                    </TD>
                </TR>
                <TR>
                    <TD WIDTH="16%" HEIGHT="22">
                    <P ALIGN="RIGHT">
                        Info:
                    </TD>
                    <TD WIDTH="84%" HEIGHT="22">
                        <textarea NAME="eventInfo" COLS="40" ROWS="10" WRAP=SOFT><%= e.info %></textarea>
                    </TD>
                </TR>
                <TR>
                    <TD Colspan=2>
                        <INPUT TYPE=Submit value=Enter>
                        <INPUT TYPE=Reset value=Reset>
                    </TD>
                </TR>
            </TABLE>
            <input type="hidden" name="eventSave" value="<%= e.id %>">
		</FORM>
            <%
        }
        else if( state == 3){ // calendar
            CalendarRenderer cr = new CalendarRenderer(day);
            %>
            <a href="?logout=one">Logout</a>&nbsp;
            <a href="?news=one">News</a>&nbsp;
            <a href="?newpwd=one">Pass</a><br>
            Benutzer <b><%= sd.user.username %></b> angemeldet.<p>
            <%= cr.render( getEventArray(day, sd)) %>
            <br><b><%= new SimpleDateFormat("dd.MM").format(day) %></b>
            <br><a href="?newevent=<%= new SimpleDateFormat("dd.MM.yyyy").format(day) %>">New event</a>
            <br><FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#FF0000"><%= error %></font>
            <%
            Finder f = new Finder("net.methodyne.booking.Event");
            f.put("day", new SimpleDateFormat("dd.MM.yyyy").format(day) );
            Vector events = f.run(sd);
            //System.out.println("ev: " + events.size());
            Enumeration en = events.elements();
            while(en.hasMoreElements()){
                Event x = (Event)sd.dl.getRefObjects(en.nextElement(),sd);
                if( x.usersBooked.contains( sd.user) ){
                    %><p><a href="?bookout=<%= x.id %>"><%= x.titel %></a><%
                }
                else{
                    %><p><a href="?bookin=<%= x.id %>"><%= x.titel %></a><%
                }
                if(x.user.equals(sd.user.username)){ // the owner can edit and delete the event
                    %> <a href="?eventEdit=<%= x.id %>">[edit]</a>
                     <a href="?eventDelete=<%= x.id %>">[delete]</a> <%
                }
                %>
                <br><%= x.info %>
                <table>
                <%
                for(int i = 0; i < x.usersBooked.size();i++){
                   %> <TR BGCOLOR="#C0C0C0"><TD>
                    <%= "" + (i + 1) + ". " + ((User)x.usersBooked.elementAt(i)).username %>
                   </td></tr><%
                }
                %>
                </table>
                <%

            }
        }
        else if( state == 5){ // news listing
            %>
            <a href="?logout=one">Logout</a>&nbsp;
            <a href="?calendar=one">Calender</a>&nbsp;
            <a href="?newpwd=one">Pass</a><br>
            <a href="?editnews=-1">News erfassen</a><br>
            <table>
            <%
            Finder k = new Finder("net.methodyne.booking.News");
            k.run( sd);
            Vector p = new Vector();
            if(k.olist != null)
            for (int i = 0; i < k.olist.size(); i++) {
                News news = (News) k.olist.elementAt(i);
                if(news.user.equalsIgnoreCase(sd.user.username)){
                    p.add(news);
                }
            }
            Collections.sort(p, new DateComparator("created", false));
            session.setAttribute("mynews", p);
            for (int i = 0; i < p.size(); i++) {
                News news = (News) p.elementAt(i);
                String ntxt = news.text.length() > 10 ? news.text.substring(0,10) : news.text;
                %>
                <tr><td>
                <a href="?editnews=<%= i %>"><%= new SimpleDateFormat("dd.MM.yyyy").format(news.created) + " " + ntxt %></a>
                </td><td>
                <a href="?delnews=<%= i %>">del</a><br>
                </td></tr>
                <%
            }
            %> </table> <%
        }
        else if( state == 6){ // news erfassen
            News nedit;
            int m = Integer.parseInt( fp.getProperty("editnews") );
            %>
            <a href="?logout=one">Logout</a>&nbsp;
            <a href="?calendar=one">Calender</a>&nbsp;
            <a href="?newpwd=one">Pass</a><br>
            <a href="?news=one">News Liste</a><br>
            <%
            if(m < 0){
                nedit = new News();
                nedit.user = sd.user.username;
            }
            else{
                nedit = (News)((Vector)session.getAttribute("mynews") ).elementAt(m);
            }
            session.setAttribute("currentnews", nedit);
            %>
            <p>
            <img src="images/News.gif"><b> Edit news</b>
            <form method=post action="squash.jsp" name=hi>
            <input type=hidden name=savenews value="two">
            <input type=submit name=sub value="speichern">
            erstellt: <%= new SimpleDateFormat("dd.MM.yyyy").format(nedit.created) %> <br>
            <TEXTAREA name=text COLS="50" ROWS="10" WRAP=SOFT><%= nedit.text %></TEXTAREA>
            </form>
            Der Text wird in HTML dargestellt. Hier ein paar Formatierungen:<br>
            <table>
                <tr>
                    <td>Zeilenumbruch</td>
                    <td>&lt;br&gt;</td>
                <tr>
                <tr>
                    <td>Umlaute</td>
                    <td> &auml; &amp;auml;<br> &ouml; &amp;ouml;<br> &uuml; &amp;uuml; </td>
                <tr>
                <tr>
                    <td>Fett</td>
                    <td>&lt;b&gt; <b> text </b> &lt;/b&gt; </td>
                <tr>
            <table>
            <%

        }
        else if( state == 9){  // Change pwd
            %>
            <a href="?logout=one">Logout</a>&nbsp;
            <a href="?calendar=one">Calender</a>&nbsp;
            <a href="?news=one">News</a><br>
            <jsp:include page="changepwd.html" />
            <FONT face="Helvetica, Arial, sans-serif" SIZE="3" COLOR="#FF0000"><%= error %></font>
            <%
        }
    %>
	</TD>
</TR>

</TABLE>

<p>
<FONT COLOR="#C0C0C0">
This site is running on the Bellvue application plattform,<br>
a Methodyne product. <a href="mailto:info@methodyne.net">email us</a>
</FONT>
</FONT>
</BODY>
</HTML>

<%
    primary.stop();
%>