#!/bin/sh  

if [[ $JAVA_HOME"." == "." ]] ; then
    JAVA_HOME=/usr/java
fi

P=`pwd`
D=`dirname $0`
JETTY=`dirname $0`/jetty
JLIB=$JAVA_HOME/jre/lib

CP=$jl
CP=$CP:$JETTY/lib/org.mortbay.jetty.jar
CP=$CP:$JETTY/lib/javax.servlet.jar
CP=$CP:$JETTY/ext/javax.xml.jaxp.jar
CP=$CP:$JETTY/ext/jasper-runtime.jar
CP=$CP:$JETTY/ext/jasper-compiler.jar
CP=$CP:$JETTY/ext/crimson.jar
CP=$CP:$JETTY/ext/ant.jar

CP=$CP:$JLIB/charsets.jar
CP=$CP:$JLIB/jce.jar
CP=$CP:$JLIB/jsse.jar
CP=$CP:$JLIB/rt.jar
CP=$CP:$JLIB/sunrsasign.jar
CP=$CP:$JLIB/ext/dnsns.jar
CP=$CP:$JLIB/ext/ldapsec.jar
CP=$CP:$JLIB/ext/localedata.jar
CP=$CP:$JLIB/ext/sunjce_provider.jar
CP=$CP:$JAVA_HOME/lib/tools.jar

#echo $CP

# this sets the heapsize maximum to 100 MB or the first parameter of this script
if [[ "a"$1 == "a" ]] ; then mem=100 ; else mem=$1 ; fi

echo "After the servletengine started,"
echo "point your browser to http://"`hostname`":8080/bellvue"
echo "or  http://127.0.0.1:8080/bellvue if local."

cd $D
$JAVA_HOME/jre/bin/java -server -Xms${mem}m -Xmx${mem}m -DBELLVUE -classpath $CP org.mortbay.jetty.Server $JETTY/etc/jetty.xml 1>> $JETTY/logs/out.log 2>> $JETTY/logs/err.log &
cd $P
